API ReferenceProject Settings
Retrieves a ProjectSettings resource
Retrieves a ProjectSettings resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
ProjectSettings identifier
Response Body
curl -X GET "https://example.com/project/project-settings/string"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "enabledTabs": [ "finance" ], "requireTaskTypeOnTaskCreation": true, "showTaskDeadline": true, "projectAutomaticPlanning": true, "taskDateRangeBehaviour": "board-summary-bar", "taskDateStartType": "board", "taskDateStartInterval": null, "taskDateStartTime": "2019-08-24T14:15:22Z", "taskDateEndType": "board", "taskDateEndInterval": null, "taskDateEndTime": "2019-08-24T14:15:22Z", "hideHourlyRateForRoles": [ "pm-passive" ], "restrictTaskDateUpdatesToPMsOrCreators": true}